# $Revision: 1.6 $, $Date: 2006/11/23 21:10:27 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Text
%define		pnam	CharWidth
Summary:	Text::CharWidth - Get number of occupied columns of a string on terminal
Summary(pl):	Text::CharWidth - obliczanie liczby kolumn zajmowanych przez acuch na terminalu
Name:		perl-Text-CharWidth
Version:	0.04
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Text/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	37a723df0580c0758c0ee67b37336c15
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This is a module to provide equivalent feature as wcwidth(3) and
wcswidth(3). This also provides mblen(3) equivalent subroutine.

%description -l pl
Ten modu udostpnia funkcjonalno odpowiadajc wcwidth(3) i
wcswidth(3). Udostpnia take funkcj odpowiadajc mblen(3).

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorarch}/Text/CharWidth.pm
%dir %{perl_vendorarch}/auto/Text/CharWidth
%{perl_vendorarch}/auto/Text/CharWidth/CharWidth.bs
%attr(755,root,root) %{perl_vendorarch}/auto/Text/CharWidth/CharWidth.so
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Text-CharWidth.spec,v $
Revision 1.6  2006/11/23 21:10:27  qboosh
- added tests

Revision 1.5  2006/10/21 18:01:35  ankry
- rel. 1

Revision 1.4  2006/06/26 19:27:40  qboosh
- .so perms, OPTIMIZE

Revision 1.3  2006/06/26 19:03:31  qboosh
- pl

Revision 1.2  2006/06/13 12:38:39  tommat
- cosmetics

Revision 1.1  2006/06/13 10:35:29  tommat
- initial
